# For svn version: do
# $ svn checkout http://opensvn.csie.org/wallpapoz/trunk wallpapoz-%%{mainver}
# $ tar -cjf %%{name}-%%{mainver}%%{?svnver:-svn%%svnver}.tar.bz2 %%{name}-%%{mainver}/

%define         srcurl          http://wallpapoz.akbarhome.com/
%define         icondir         %{_datadir}/icons/hicolor/128x128/apps

%define         mainver         0.4.1
%undefine         betaver
%define         svnver          svn87_trunk
%define         fedorarel       5

%define         rel             %{?betaver:0.}%{fedorarel}%{?svnver:.%svnver}%{?betaver:.%betaver}

Name:           wallpapoz
Version:        %{mainver}
Release:        %{rel}%{?dist}
Summary:        Gnome Multi Backgrounds and Wallpapers Configuration Tool

Group:          User Interface/Desktops
License:        GPLv2+
URL:            %{srcurl}
Source0:        %{srcurl}files/%{name}-%{mainver}%{?svnver:-%svnver}%{?betaver:%betaver}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python-devel
BuildRequires:  pygtk2-libglade
BuildRequires:  python-imaging
BuildRequires:  gnome-python2
Requires:       pygtk2-libglade
Requires:       python-imaging
Requires:       gnome-python2
Requires:       xorg-x11-utils
Requires:       %{_bindir}/kill
Requires:       %{_bindir}/pgrep

%description
This tool enables your Gnome desktop to have different 
wallpapers for different workspaces or virtual desktops.

%prep
%setup -q -n %{name}-%{version}%{?svnver:-%svnver}
sed -i.cs -e '/DOC_ISO_CODES/s|"ru"|"ru","cs"|' setup.py

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_prefix}

%{__python} setup.py install --installdir=$RPM_BUILD_ROOT%{_prefix}

%{__sed} -i -e 's|%{name}\.png|%{name}|' \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
desktop-file-install \
   --vendor fedora \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/*%{name}

%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}/

%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Thu Apr  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-5.svn87_trunk
- Also install cs documents manually

* Tue Apr  1 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-4.svn87_trunk
- Update to latest svn per requests from upstream to support
  2 more locales

* Wed Dec  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-3
- Fix icon path in desktop file for desktop-file-utils 0.14+

* Fri Oct  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-2
- License update
- Drop yelp dependency

* Thu Jun 14 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-1
- 0.4.1

* Mon Jun  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-2
- Require xorg-x11-utils (bug 242349)

* Thu May 31 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-1
- 0.4 release!

* Wed May 23 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.5.svn69
- svn 69

* Wed May 16 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.5.rc2
- 0.4 rc2

* Tue Apr 17 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.4.svn55
- Add Japanese xml files (upstream will merge this)

* Wed Apr 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.2.svn55
- svn 55

* Thu Apr  5 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4-0.2.svn50
- Update to 0.4 pre svn50
- Add Japanese support (upstream will merge this)

* Thu Oct 12 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3-1
- Initial packaging, importing to Fedora extras.
